gnutls_psk_set_params_function(3)

NAME
gnutls_psk_set_params_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_psk_set_params_function(gnutls_psk_server_credentials_t res, gnutls_params_function * func);

ARGUMENTS

gnutls_psk_server_credentials_t res
    is a gnutls_psk_server_credentials_t type

gnutls_params_function * func
    is the function to be called

DESCRIPTION
This function will set a callback in order for the server to get the Diffie-Hellman or RSA parameters for PSK authentication. The callback should return GNUTLS_E_SUCCESS (0) on success.

DEPRECATED
This function is unnecessary and discouraged on GnuTLS 3.6.0 or later. Since 3.6.0, DH parameters are negotiated following RFC7919.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/